# Class ConnectDialogResult | EchoHub Documentation
Result returned from the connect dialog.

# Class ConnectDialogResult

Namespace
  EchoHub.Client.UI.Dialogs

Assembly
  EchoHub.Client.dll

Result returned from the connect dialog.

    public record ConnectDialogResult : IEquatable<ConnectDialogResult>

Inheritance
  object
  ConnectDialogResult

Implements
  IEquatable<ConnectDialogResult>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### ConnectDialogResult(ConnectDialogResult)

    protected ConnectDialogResult(ConnectDialogResult original)

#### Parameters

`original` ConnectDialogResult

### ConnectDialogResult(string, string, string, bool, bool, string?, string?, string?)

Result returned from the connect dialog.

    public ConnectDialogResult(string ServerUrl, string Username, string Password, bool IsRegister, bool RememberMe, string? SavedRefreshToken, string? DisplayName = null, string? InviteCode = null)

#### Parameters

`ServerUrl` string
`Username` string
`Password` string
`IsRegister` bool
`RememberMe` bool
`SavedRefreshToken` string
`DisplayName` string
`InviteCode` string

## Properties

### DisplayName

    public string? DisplayName { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### InviteCode

    public string? InviteCode { get; init; }

#### Property Value

string

### IsRegister

    public bool IsRegister { get; init; }

#### Property Value

bool

### Password

    public string Password { get; init; }

#### Property Value

string

### RememberMe

    public bool RememberMe { get; init; }

#### Property Value

bool

### SavedRefreshToken

    public string? SavedRefreshToken { get; init; }

#### Property Value

string

### ServerUrl

    public string ServerUrl { get; init; }

#### Property Value

string

### Username

    public string Username { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string, out string, out string, out bool, out bool, out string?, out string?, out string?)

    public void Deconstruct(out string ServerUrl, out string Username, out string Password, out bool IsRegister, out bool RememberMe, out string? SavedRefreshToken, out string? DisplayName, out string? InviteCode)

#### Parameters

`ServerUrl` string
`Username` string
`Password` string
`IsRegister` bool
`RememberMe` bool
`SavedRefreshToken` string
`DisplayName` string
`InviteCode` string

### Equals(ConnectDialogResult?)

    public virtual bool Equals(ConnectDialogResult? other)

#### Parameters

`other` ConnectDialogResult

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(ConnectDialogResult?, ConnectDialogResult?)

    public static bool operator ==(ConnectDialogResult? left, ConnectDialogResult? right)

#### Parameters

`left` ConnectDialogResult
`right` ConnectDialogResult

#### Returns

bool

### operator !=(ConnectDialogResult?, ConnectDialogResult?)

    public static bool operator !=(ConnectDialogResult? left, ConnectDialogResult? right)

#### Parameters

`left` ConnectDialogResult
`right` ConnectDialogResult

#### Returns

bool